Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::MayaTexture Class Reference

Mayaテクスチャ. More...

`#include <MayaTexture.h>`

List of all members.

## Public Member Functions
virtual bool | load ()
| テクスチャのロード
virtual bool | bind ()
| テクスチャのバインド
virtual const String & | getName () const
| 名前の取得
virtual u_int | getWidth (int level=0) const
| 幅の取得
virtual u_int | getHeight (int level=0) const
| 高さの取得
## Protected Member Functions
| MayaTexture (const MObject &node, const String &name)
| コンストラクタ
virtual | ~MayaTexture ()
| デストラクタ
virtual void | clear ()
| クリア
u_int | highestPowerOf2 (u_int number) const
| 最大の2の累乗を求める
## Friends
class | MayaTextureManager

## Detailed Description

Mayaテクスチャ.

Definition at line 34 of file MayaTexture.h.

## Constructor & Destructor Documentation

LampForMaya::MayaTexture::MayaTexture | ( | const MObject & | node,
|  | const String & | name
| ) | `[protected]`

  | コンストラクタ Parameters:
  node | ノード
  name | 名前
Definition at line 34 of file MayaTexture.cpp. References MayaOpenGLCheck, and MayaStatusCheck.

## Member Function Documentation

bool LampForMaya::MayaTexture::bind | ( |  | ) | `[virtual]`

| テクスチャのバインド Returns: 成功すればtrue Definition at line 136 of file MayaTexture.cpp. References load(), and MayaOpenGLCheck. Referenced by LampForMaya::MayaTextureManager::bind().

virtual u_int LampForMaya::MayaTexture::getHeight | ( | int | level = 0 | ) | const`[inline, virtual]`

  | 高さの取得 Parameters:
  level | ミップマップレベル
Returns: 高さ Definition at line 71 of file MayaTexture.h. Referenced by load().

virtual const String& LampForMaya::MayaTexture::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 53 of file MayaTexture.h. Referenced by LampForMaya::MayaTextureManager::addDatabase(), and LampForMaya::MayaTextureManager::removeDatabase().

virtual u_int LampForMaya::MayaTexture::getWidth | ( | int | level = 0 | ) | const`[inline, virtual]`

  | 幅の取得 Parameters:
  level | ミップマップレベル
Returns: 幅 Definition at line 60 of file MayaTexture.h. Referenced by load().

u_int LampForMaya::MayaTexture::highestPowerOf2 | ( | u_int | number | ) | const`[inline, protected]`

  | 最大の2の累乗を求める Parameters:
  number | 対象となる数
Returns: 対象の数以下における最大の2の累乗 Definition at line 100 of file MayaTexture.h. Referenced by load().

bool LampForMaya::MayaTexture::load | ( |  | ) | `[virtual]`

| テクスチャのロード Returns: 成功すればtrue Definition at line 74 of file MayaTexture.cpp. References getHeight(), getWidth(), highestPowerOf2(), MayaOpenGLCheck, and MayaStatusCheck. Referenced by bind().

The documentation for this class was generated from the following files:

- MayaTexture.h
- MayaTexture.cpp